Bug 26852 - ethernet bootup 3c509
Summary: ethernet bootup 3c509
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: isapnptools   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL: gsimpson@mountaincable.net
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-09 19:25 UTC by Glenn Simpson
Modified: 2014-03-17 02:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-10 21:27:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glenn Simpson 2001-02-09 19:25:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.11 i586)


During boot up of interface eth0, insmod fails, and eth0 is thus not
available.
If I use modprobe 3c509 at init 1 level or init 5, eth0 is made available
with no complaints.  This was not a problem on ver 7.0

Reproducible: Always
Steps to Reproduce:
1.Configure a 3Com 3c509 card (pnp type on an ISA bus)
2.Observe the messages when bringing up interface eth0 (or what ever eth?)
3.alternately boot to single user and issue modprobe 3c509 and continue the
boot up.
In this later case there will be no complaints --or--
Allow boot to init 3 or 5 (the complaint will occur when bring up the eth
device.  Use modprobe 3c509 and it will bring up eth without complaint.
	

Actual Results:  In the default bootup, the eth device is not available
(see ifconfig).
If you use modprobe the eth devices is correctly configured and available.

The complaint issued is 'insmod: module ..... not found'.  The module is in
the correct location.

Expected Results:  Bring up interface eth0 should have reported as OK,
rather than failed.

I also have tried the SMC-ULTRA card and in that instance, while I set
linuxconf to io=0x300, the 'bring up' fails and if I force eth0 up (
ifconfig eth0 up) it reports the io=310 :(( and of course the interface
does not work.

This may be a related problem.  The SMC card is hardware jumper configured,
while the 3Com card is PNP configured

Comment 1 Bill Nottingham 2001-02-09 20:15:14 UTC
What does 'modprobe -v eth0' say?

Comment 2 Glenn Simpson 2001-02-09 21:26:54 UTC
command  modprobe -v eth0

Note: /etc/modules.conf is more recent than
/lib/modules/2.4.0-0.99.11/modules.dep


Comment 3 Glen Foster 2001-02-09 23:15:44 UTC
We (Red Hat) should really try to resolve this before next release.

Comment 4 Bill Nottingham 2001-02-10 00:21:25 UTC
I'm sorry, what does 'modprobe -v eth0' say, when the network device
isn't up and the module isn't loaded?

Comment 5 Glenn Simpson 2001-02-10 21:27:42 UTC
I have found that a conflict maybe configured between SB16 and eth0 (3c509).
In the file /etc/modules.conf, a line 'options eth0 io=0x300 irq=10' causes an
invalid io parm.  I suspect PNP assigns an io address that is not the value set
by PNP.

I deleted the io parm in the line.  The modified line is 'options eth0 irq=10'.
This boots without conflict.

If I eliminate the line, then I get a collision of IRQ (both SB16 and 3c509
attempt to use IRQ 5).

The fix appears to be to only set the 3c509 irq option.
Note: In linuxconf, I specify the module as 3c509.  I do not specify the IO or
IRQ..  It seems that I should be specifying the IRQ ONLY.


Comment 6 Bill Nottingham 2001-02-12 22:27:20 UTC
This sounds like a configuration issue, in that that specific
io parameter will not work on your machine. That's not something we
really can fix on a global basis, if I'm reading this right.



Note You need to log in before you can comment on or make changes to this bug.